Bug Hunting Session
Bug 82335 - Register LibreOffice for Kingsoft Office file types
Summary: Register LibreOffice for Kingsoft Office file types
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.3.0.4 release
Hardware: x86 (IA32) Linux (All)
: medium enhancement
Assignee: Dhruv Khattar
URL:
Whiteboard: target:5.2.0
Keywords: difficultyBeginner, easyHack, skillCpp, topicUI
Depends on:
Blocks:
 
Reported: 2014-08-08 08:10 UTC by Daniel
Modified: 2017-02-14 08:57 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Presentation file (404.00 KB, application/vnd.ms-powerpoint)
2014-08-08 15:12 UTC, Daniel
Details
Writer file (24.50 KB, application/msword)
2014-08-08 15:13 UTC, Daniel
Details
Unknown file format (94.10 KB, image/png)
2014-08-08 15:30 UTC, Daniel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel 2014-08-08 08:10:24 UTC
I've got them in kingsoftstore.com/download-office/Select PPT or Writer templates.

1. .dpt files is for KingSoft Presentation
2. .wpt files is for KingSoft Writer

Unfortunately, these Kingsoft's files format does not support LibreOffice. Can anyone fix this problem?
Comment 1 Algot Runeman 2014-08-08 11:34:42 UTC
According to this article:
http://www.techrepublic.com/blog/10-things/10-reasons-why-kingsoft-office-is-better-than-the-competition/

Kingsoft Office is relatively new and should be able to interact with LibreOffice through the supported MSOffice formats.

This sounds more like a feature request than a bug.

--Algot
Comment 2 Julien Nabet 2014-08-08 11:54:58 UTC
(In reply to comment #1)
> According to this article:
> http://www.techrepublic.com/blog/10-things/10-reasons-why-kingsoft-office-is-
> better-than-the-competition/
> 
> Kingsoft Office is relatively new and should be able to interact with
> LibreOffice through the supported MSOffice formats.
> ...
Or rather with ODF formats which are open formats, see http://en.wikipedia.org/wiki/OpenDocument
Comment 3 David Tardon 2014-08-08 13:46:25 UTC
I downloaded a few samples from http://kingsoftstore.com/download-office/word-template and libreoffice 4.2 opens them just fine. Anyway, as far as I can see, they are normal DOC files with a different extension. Could you attach a few sample files that you were unable to open?
Comment 4 Daniel 2014-08-08 15:12:21 UTC
Created attachment 104289 [details]
Presentation file
Comment 5 Daniel 2014-08-08 15:13:11 UTC
Created attachment 104290 [details]
Writer file
Comment 6 ign_christian 2014-08-08 15:24:00 UTC
I can open both files without problem in LO 4.2.6.2 and 4.3.1.1 under Ubuntu 12.04 x86
Comment 7 Daniel 2014-08-08 15:26:40 UTC
Please test both attachment above...
No problems with PPT, XLS, DOC. I've just found that new file types that I never heard in another page in other categories in that same webpage. But I'm sure that they are part of office file-format, too.
Comment 8 Daniel 2014-08-08 15:29:00 UTC
@ign_christian: But, not like me, why I cannot open both that file? Is there any problems?
Comment 9 Daniel 2014-08-08 15:30:36 UTC
Created attachment 104293 [details]
Unknown file format
Comment 10 ign_christian 2014-08-08 16:15:39 UTC
(In reply to comment #7)
> Please test both attachment above...
Yup..with those attachment I did testing

(In reply to comment #8)
> @ign_christian: But, not like me, why I cannot open both that file? Is there
> any problems?
Right-click > Open with > LibreOffice

(In reply to comment #9)
> Created attachment 104293 [details]
> Unknown file format
It's because those extensions not associated by default with LO. 

@Daniel, no need to set your own report as NEEDINFO :)
Comment 11 Daniel 2014-08-08 18:01:00 UTC
@ign_christian: Who set report as needinfo? I'm not to set it. Except, just waiting your decision to make sure you can fix this bug.
Comment 12 Daniel 2014-08-08 18:01:12 UTC Comment hidden (obsolete)
Comment 13 Daniel 2014-08-08 18:13:39 UTC
Can anyone fix this file directly to this app? So people are not confused to open this file type or do not need to Right-click => Open with. So, I select each this file directly via file manager and open associated by default with LO.
Comment 14 David Tardon 2014-08-09 07:18:24 UTC
So, what should be done here (this is for wpt; I am leaving dpt as an excercise for the reader):
* add the extension to filter/source/config/fragments/types/writer_MS_Word_97.xcu (separated by a space);
* add new pattern to sysui/desktop/mimetypes/ms-word-document.desktop and sysui/desktop/mimetypes/ms-word-document2.desktop;
* add the extension to sysui/desktop/macosx/Info.plist.in to the same array 'doc' is in;
* add the extension to array g_Extensions in setup_native/source/win32/customactions/reg4allmsdoc/reg4allmsi.cxx .

(The Kingsoft Office types could also be added as separate types, but I do not think it is worth it.)
Comment 15 Siddu 2014-09-09 04:48:16 UTC
Hi, I am new and I feel I can start working from here.
@Daniel,Algot: Both of the above mentioned files work just fine, I am using 4.4 build version of LO, I just have to manually open it using Open-with option.
Comment 16 Siddu 2014-09-09 05:19:50 UTC
@David Tardon: I added the ".dpt"(In its correct place (alphabetically)) extension to reg4allmsi.cxx. Its the same thing for the ".dwt" extension as well I guess. What do I do next ? Thank You.
Comment 17 Siddu 2014-09-09 09:09:22 UTC
(In reply to comment #14)
> So, what should be done here (this is for wpt; I am leaving dpt as an
> excercise for the reader):
> * add the extension to
> filter/source/config/fragments/types/writer_MS_Word_97.xcu (separated by a
> space);
> * add new pattern to sysui/desktop/mimetypes/ms-word-document.desktop and
> sysui/desktop/mimetypes/ms-word-document2.desktop;
> * add the extension to sysui/desktop/macosx/Info.plist.in to the same array
> 'doc' is in;
> * add the extension to array g_Extensions in
> setup_native/source/win32/customactions/reg4allmsdoc/reg4allmsi.cxx .
> 
> (The Kingsoft Office types could also be added as separate types, but I do
> not think it is worth it.)

I will also have to add the MIMETypes as well for both the extensions ? Correct ?
Comment 18 Siddu 2014-09-20 12:22:46 UTC
(In reply to comment #14)
> So, what should be done here (this is for wpt; I am leaving dpt as an
> excercise for the reader):
> * add the extension to
> filter/source/config/fragments/types/writer_MS_Word_97.xcu (separated by a
> space);
> * add new pattern to sysui/desktop/mimetypes/ms-word-document.desktop and
> sysui/desktop/mimetypes/ms-word-document2.desktop;
> * add the extension to sysui/desktop/macosx/Info.plist.in to the same array
> 'doc' is in;
> * add the extension to array g_Extensions in
> setup_native/source/win32/customactions/reg4allmsdoc/reg4allmsi.cxx .
> 
> (The Kingsoft Office types could also be added as separate types, but I do
> not think it is worth it.)

Sudarshan Rao proposed a change to core: Bug no. 82335.  https://gerrit.libreoffice.org/11555
Comment 19 Siddu 2014-09-20 12:26:31 UTC Comment hidden (obsolete)
Comment 20 Robinson Tryon (qubit) 2015-12-14 06:57:20 UTC Comment hidden (obsolete)
Comment 21 Dhruv Khattar 2016-01-27 16:39:37 UTC
I want to work on this issue.
Can someone please guide me through?
Comment 22 David Tardon 2016-01-27 17:02:57 UTC
(In reply to Dhruv Khattar from comment #21)
> Can someone please guide me through?

Read comment 14.
Comment 23 Dhruv Khattar 2016-01-28 05:10:07 UTC
Hey, I am a newbie and it's my first bug, so please can you help me through and tell me what changes are to be made.
Comment 24 jani 2016-01-28 08:09:26 UTC
(In reply to Dhruv Khattar from comment #23)
> Hey, I am a newbie and it's my first bug, so please can you help me through
> and tell me what changes are to be made.

See comment 14, and also comment 18. It seems a fix was made, but then abandoned before it was working.


I am here to help non-committers getting their first patch submitted.

if you have problems/questions please feel free to email me directly 
jani@documentfoundation.org

Of also using IRC and our mailing list is a good idea.

We have created a step by step guide, to help you over the first steps:
https://wiki.documentfoundation.org/Development/GetInvolved/DeveloperStepByStep

have fun
Comment 25 jani 2016-01-30 17:28:59 UTC
@Akshay, it is not nice just to take a patch from another person, especially not when the last comment is only 1 day old.

@Dhruv, you asked to work on this patch, so if you want to, simply reassign yourself.

Of course if the two of you have spoken about it, outside these comments then everything is ok.
Comment 26 Akshay Deep 2016-01-30 17:55:41 UTC
@jan iverson: Oh, sorry. I didn't actually saw that the previous comment was just one day old. 

@Dhruv: If you want to work on this, I'm leaving this for now :)
Comment 27 Tor Lillqvist 2016-02-01 16:11:27 UTC
This is actually not that easy for an easy hack, at least for Linux-based newbies, as building a LibreOffice that would include desktop integration with file type registration is clearly harder for a newbie than doing a normal developer-only build without any packages. As has been demonstrated plainly the recent weeks.

Add to that then that the vast majority of our users are on Windows, and it is for Windows that it presumably would be of greater usefulness to associate with KingSoft types. Or am I mistaken?
Comment 28 jani 2016-02-01 16:22:38 UTC
(In reply to Tor Lillqvist from comment #27)
> This is actually not that easy for an easy hack, at least for Linux-based
> newbies, as building a LibreOffice that would include desktop integration
> with file type registration is clearly harder for a newbie than doing a
> normal developer-only build without any packages. As has been demonstrated
> plainly the recent weeks.
> 
> Add to that then that the vast majority of our users are on Windows, and it
> is for Windows that it presumably would be of greater usefulness to
> associate with KingSoft types. Or am I mistaken?

You are not mistaken, we need the registration for windows. I am however confused we already register file types so it seems to be adding the extra file types, what did I miss?
Comment 29 Dhruv Khattar 2016-02-02 09:27:42 UTC
@akshay I want to work on this.
Comment 30 Robinson Tryon (qubit) 2016-02-18 14:51:22 UTC Comment hidden (obsolete)
Comment 31 Commit Notification 2016-03-09 10:25:30 UTC
Jaskaran committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a1a63373f99a50eb0db0d8474e36278541d7c5cc

tdf#82335 Register Libreoffice for Kingsoft file types

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.